Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.touch.client
Class TouchScroller.TemporalPoint

    java.lang.Object
      com.google.gwt.touch.client.TouchScroller.TemporalPoint

Enclosing class:
  TouchScroller

    static class TouchScroller.TemporalPoint

extends java.lang.Object

A point associated with a time. Visible for testing.

Constructor Summary
`TouchScroller.TemporalPoint()`
`TouchScroller.TemporalPoint(Point point, double time)` Construct a new `TouchScroller.TemporalPoint` for the specified point and time.

Method Summary
`Point` | `getPoint()`
`double` | `getTime()`
`void` | `setTemporalPoint(Point point, double time)` Update the point and time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TouchScroller.TemporalPoint

    public TouchScroller.TemporalPoint()

### TouchScroller.TemporalPoint

    public TouchScroller.TemporalPoint(Point point,
                                       double time)

  Construct a new `TouchScroller.TemporalPoint` for the specified point and time.

Method Detail

### getPoint

    public Point getPoint()

### getTime

    public double getTime()

### setTemporalPoint

    public void setTemporalPoint(Point point,
                                 double time)

  Update the point and time.

  Parameters:
    `point` - the new point
    `time` - the new time

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD